Bug 1650684

Summary: [RFE] Invalidate Active Sessions when User Password Changed
Product: Red Hat Satellite 6 Reporter: Karl Abbott <kabbott>
Component: Users & RolesAssignee: satellite6-bugs <satellite6-bugs>
Status: NEW --- QA Contact: Radovan Drazny <rdrazny>
Severity: medium Docs Contact:
Priority: high    
Version: 6.3.2CC: andrew.schofield, bkearney, dhlavacd, kabbott, mhulan
Target Milestone: UnspecifiedKeywords: FutureFeature, Triaged, UserExperience
Target Release: Unused   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Karl Abbott 2018-11-16 20:37:30 UTC
Description of problem:

When a user's password is changed, all active sessions/activity that a user has on the Satellite remain active. This causes a concern for when a user is terminated from their organization and needs to have their access revoked immediately. It should be possible to immediately stop all sessions/activity upon a password change.

Version-Release number of selected component (if applicable):

6.3.2

How reproducible:

Always

Steps to Reproduce:
1. Have a user login to the satellite and start doing things.
2. Have an admin change the users password.
3.

Actual results:

The user remains logged in and activity they have started remains active.

Expected results:

User is immediately logged out and their activity is stopped.

Additional info:

Comment 2 Marek Hulan 2018-11-30 09:02:53 UTC
If you need to have user access revoked, you need to remove the user account. Changing password seems like some workaround. That would even be impossible for users with external auth source. Also that wouldn't invalidated API tokens that could still be used. Note that even after account deletion, all audits remains untouched if some later investigation of user activity is needed.

What prevents customer from simply removing the user account? Would that solve this case?

Comment 3 Karl Abbott 2019-01-10 15:33:04 UTC
From customer:

"In this specific instance we don't want to have to remove the user. I still feel that the change of a password should invalidate active sessions. I don't find much from google in terms or best practice around this, but certainly one educational / beginners guide for rails and user management does just this."

Cheers,
Karl

Comment 5 Marek Hulan 2019-11-25 10:18:13 UTC
Created redmine issue https://projects.theforeman.org/issues/28342 from this bug